You are not logged in.

#1 2016-10-02 19:41

ghostdawg
Member
From: USA
Registered: 2016-09-19
Posts: 69

One reason I do not use KDE as much

I'm not knocking it but this is one of the reasons I do not like using KDE, too many dependencies, and it installs too many programs by default. Yes, I know large hard drives are cheap but still, I prefer a lean OS.  I know most of them are small in size. All this just to add kgpg?

$ sudo apt-get install kgpg
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  akonadi-backend-mysql akonadi-server docbook-xsl kate-data katepart
  kde-runtime kde-runtime-data kdelibs-bin kdelibs5-data kdelibs5-plugins
  kdepim-runtime kdepimlibs-kio-plugins kdoctools libakonadi-calendar4
  libakonadi-contact4 libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4
  libakonadi-kmime4 libakonadi-notes4 libakonadiprotocolinternals1
  libattica0.4 libboost-program-options1.55.0 libboost-thread1.55.0
  libdbusmenu-qt2 libdlrestrictions1 libdmtx0a libfam0 libgpgme++2 libiodbc2
  libkabc4 libkactivities-bin libkactivities-models1 libkactivities6
  libkalarmcal2 libkatepartinterfaces4 libkcal4 libkcalcore4 libkcalutils4
  libkcmutils4 libkde3support4 libkdeclarative5 libkdecore5 libkdesu5
  libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkfile4 libkgapi2-2
  libkholidays4 libkhtml5 libkimap4 libkio5 libkjsapi4 libkjsembed4 libkldap4
  libkmbox4 libkmediaplayer4 libkmime4 libknewstuff3-4 libknotifyconfig4
  libkntlm4 libkolab0 libkolabxml1 libkparts4 libkpimidentities4
  libkpimtextedit4 libkpimutils4 libkpty4 libkresources4 libkrosscore4
  libktexteditor4 libkxmlrpcclient4 libmailtransport4 libmicroblog4
  libnepomuk4 libnepomukcore4 libnepomukquery4a libnepomukutils4
  libntrack-qt4-1 libntrack0 libphonon4 libplasma3 libpolkit-qt-1-1 libprison0
  libpulse-mainloop-glib0 libqca2 libqjson0 libqrencode3 libqt4-qt3support
  libsolid4 libsoprano4 libssh-gcrypt-4 libstreamanalyzer0 libstreams0
  libthreadweaver4 libupower-glib3 libutempter0 libxerces-c3.1 libxml2-utils
  mysql-server-core-5.5 nepomuk-core-data ntrack-module-libnl-0
  oxygen-icon-theme phonon phonon-backend-vlc plasma-scriptengine-javascript
  soprano-daemon upower
Suggested packages:
  akonadi-backend-postgresql akonadi-backend-sqlite dbtoepub
  docbook-xsl-doc-html docbook-xsl-doc-pdf docbook-xsl-doc-text
  docbook-xsl-doc docbook-xsl-saxon fop libsaxon-java libxalan2-java
  libxslthl-java xalan djvulibre-bin finger icoutils libcanberra-pulse
  sound-theme-freedesktop fam iodbc hspell libqca2-plugin-cyrus-sasl
  libqca2-plugin-gnupg libqca2-plugin-ossl media-player-info
  phonon-backend-gstreamer phonon-backend-mplayer virtuoso-minimal
The following NEW packages will be installed:
  akonadi-backend-mysql akonadi-server docbook-xsl kate-data katepart
  kde-runtime kde-runtime-data kdelibs-bin kdelibs5-data kdelibs5-plugins
  kdepim-runtime kdepimlibs-kio-plugins kdoctools kgpg libakonadi-calendar4
  libakonadi-contact4 libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4
  libakonadi-kmime4 libakonadi-notes4 libakonadiprotocolinternals1
  libattica0.4 libboost-program-options1.55.0 libboost-thread1.55.0
  libdbusmenu-qt2 libdlrestrictions1 libdmtx0a libfam0 libgpgme++2 libiodbc2
  libkabc4 libkactivities-bin libkactivities-models1 libkactivities6
  libkalarmcal2 libkatepartinterfaces4 libkcal4 libkcalcore4 libkcalutils4
  libkcmutils4 libkde3support4 libkdeclarative5 libkdecore5 libkdesu5
  libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkfile4 libkgapi2-2
  libkholidays4 libkhtml5 libkimap4 libkio5 libkjsapi4 libkjsembed4 libkldap4
  libkmbox4 libkmediaplayer4 libkmime4 libknewstuff3-4 libknotifyconfig4
  libkntlm4 libkolab0 libkolabxml1 libkparts4 libkpimidentities4
  libkpimtextedit4 libkpimutils4 libkpty4 libkresources4 libkrosscore4
  libktexteditor4 libkxmlrpcclient4 libmailtransport4 libmicroblog4
  libnepomuk4 libnepomukcore4 libnepomukquery4a libnepomukutils4
  libntrack-qt4-1 libntrack0 libphonon4 libplasma3 libpolkit-qt-1-1 libprison0
  libpulse-mainloop-glib0 libqca2 libqjson0 libqrencode3 libqt4-qt3support
  libsolid4 libsoprano4 libssh-gcrypt-4 libstreamanalyzer0 libstreams0
  libthreadweaver4 libupower-glib3 libutempter0 libxerces-c3.1 libxml2-utils
  mysql-server-core-5.5 nepomuk-core-data ntrack-module-libnl-0
  oxygen-icon-theme phonon phonon-backend-vlc plasma-scriptengine-javascript
  soprano-daemon upower
0 upgraded, 111 newly installed, 0 to remove and 0 not upgraded.
Need to get 76.7 MB of archives.
After this operation, 218 MB of additional disk space will be used.
Do you want to continue? [Y/n] n
Abort.
==================================================
==================================================
$ sudo apt-get install --no-install-recommends kgpg
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  akonadi-backend-mysql akonadi-server docbook-xsl kate-data katepart
  kde-runtime kde-runtime-data kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdepim-runtime kdepimlibs-kio-plugins kdoctools
  libakonadi-calendar4 libakonadi-contact4 libakonadi-kabc4
  libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libakonadi-notes4
  libakonadiprotocolinternals1 libattica0.4
  libboost-program-options1.55.0 libboost-thread1.55.0 libdbusmenu-qt2
  libdlrestrictions1 libdmtx0a libfam0 libgpgme++2 libiodbc2 libkabc4
  libkactivities6 libkalarmcal2 libkatepartinterfaces4 libkcal4
  libkcalcore4 libkcalutils4 libkcmutils4 libkde3support4
  libkdeclarative5 libkdecore5 libkdesu5 libkdeui5 libkdewebkit5
  libkdnssd4 libkemoticons4 libkfile4 libkgapi2-2 libkholidays4
  libkhtml5 libkimap4 libkio5 libkjsapi4 libkjsembed4 libkldap4
  libkmbox4 libkmediaplayer4 libkmime4 libknewstuff3-4
  libknotifyconfig4 libkntlm4 libkolab0 libkolabxml1 libkparts4
  libkpimidentities4 libkpimtextedit4 libkpimutils4 libkpty4
  libkresources4 libkrosscore4 libktexteditor4 libkxmlrpcclient4
  libmailtransport4 libmicroblog4 libnepomuk4 libnepomukquery4a
  libnepomukutils4 libntrack-qt4-1 libntrack0 libphonon4 libplasma3
  libpolkit-qt-1-1 libprison0 libpulse-mainloop-glib0 libqca2
  libqjson0 libqrencode3 libqt4-qt3support libsolid4 libsoprano4
  libssh-gcrypt-4 libstreamanalyzer0 libstreams0 libthreadweaver4
  libutempter0 libxerces-c3.1 libxml2-utils mysql-server-core-5.5
  ntrack-module-libnl-0 oxygen-icon-theme phonon phonon-backend-vlc
  plasma-scriptengine-javascript soprano-daemon
Suggested packages:
  akonadi-backend-postgresql akonadi-backend-sqlite dbtoepub
  docbook-xsl-doc-html docbook-xsl-doc-pdf docbook-xsl-doc-text
  docbook-xsl-doc docbook-xsl-saxon fop libsaxon-java libxalan2-java
  libxslthl-java xalan djvulibre-bin finger icoutils libcanberra-pulse
  sound-theme-freedesktop fam iodbc hspell libqca2-plugin-cyrus-sasl
  libqca2-plugin-gnupg libqca2-plugin-ossl media-player-info
  phonon-backend-gstreamer phonon-backend-mplayer virtuoso-minimal
Recommended packages:
  libkactivities-bin upower
The following NEW packages will be installed:
  akonadi-backend-mysql akonadi-server docbook-xsl kate-data katepart
  kde-runtime kde-runtime-data kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdepim-runtime kdepimlibs-kio-plugins kdoctools
  kgpg libakonadi-calendar4 libakonadi-contact4 libakonadi-kabc4
  libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libakonadi-notes4
  libakonadiprotocolinternals1 libattica0.4
  libboost-program-options1.55.0 libboost-thread1.55.0 libdbusmenu-qt2
  libdlrestrictions1 libdmtx0a libfam0 libgpgme++2 libiodbc2 libkabc4
  libkactivities6 libkalarmcal2 libkatepartinterfaces4 libkcal4
  libkcalcore4 libkcalutils4 libkcmutils4 libkde3support4
  libkdeclarative5 libkdecore5 libkdesu5 libkdeui5 libkdewebkit5
  libkdnssd4 libkemoticons4 libkfile4 libkgapi2-2 libkholidays4
  libkhtml5 libkimap4 libkio5 libkjsapi4 libkjsembed4 libkldap4
  libkmbox4 libkmediaplayer4 libkmime4 libknewstuff3-4
  libknotifyconfig4 libkntlm4 libkolab0 libkolabxml1 libkparts4
  libkpimidentities4 libkpimtextedit4 libkpimutils4 libkpty4
  libkresources4 libkrosscore4 libktexteditor4 libkxmlrpcclient4
  libmailtransport4 libmicroblog4 libnepomuk4 libnepomukquery4a
  libnepomukutils4 libntrack-qt4-1 libntrack0 libphonon4 libplasma3
  libpolkit-qt-1-1 libprison0 libpulse-mainloop-glib0 libqca2
  libqjson0 libqrencode3 libqt4-qt3support libsolid4 libsoprano4
  libssh-gcrypt-4 libstreamanalyzer0 libstreams0 libthreadweaver4
  libutempter0 libxerces-c3.1 libxml2-utils mysql-server-core-5.5
  ntrack-module-libnl-0 oxygen-icon-theme phonon phonon-backend-vlc
  plasma-scriptengine-javascript soprano-daemon
0 upgraded, 105 newly installed, 0 to remove and 0 not upgraded.
Need to get 76.1 MB of archives.
After this operation, 215 MB of additional disk space will be used.
Do you want to continue? [Y/n] n
Abort.


Dell Optiplex 760 - Quad Core | 4gb | 250gb | Mageia 5, Salix 14.2, Q4OS
Lenovo Thinkpad T420 | 4gb | 120gb | Mageia 5, Debian Testing

Offline

#2 2016-10-02 19:43

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,971
Website

Re: One reason I do not use KDE as much

Try kgpg-trinity

dai@q4os-desktop:~$ sudo apt-get -s install kgpg-trinity
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  kgpg-trinity
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Inst kgpg-trinity (4:14.0.3-0debian8.0.0+0 Q4OS TDE repository:8.0/qtde-jessie-st [amd64])
Conf kgpg-trinity (4:14.0.3-0debian8.0.0+0 Q4OS TDE repository:8.0/qtde-jessie-st [amd64])

Last edited by Dai_trying (2016-10-02 19:44)

Offline

#3 2016-10-02 19:49

ghostdawg
Member
From: USA
Registered: 2016-09-19
Posts: 69

Re: One reason I do not use KDE as much

Thanks, Dai_trying. I guess adding -trinity at the end makes a difference. I need to get used to how Trinity works.


Dell Optiplex 760 - Quad Core | 4gb | 250gb | Mageia 5, Salix 14.2, Q4OS
Lenovo Thinkpad T420 | 4gb | 120gb | Mageia 5, Debian Testing

Offline

#4 2016-10-02 19:58

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,971
Website

Re: One reason I do not use KDE as much

You're welcome, you have to remember it's Trinity desktop not KDE, even though it is obviously based on KDE it's not quite the same. smile

Offline

#5 2016-10-11 16:40

orion
Member
Registered: 2016-07-22
Posts: 12

Re: One reason I do not use KDE as much

Hi Dai,  can you give me the reference page where i can see the dual boot installation win/ q4os? ( for make partitions and installing)  thanks!

Offline

#6 2016-10-11 16:44

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,971
Website

Re: One reason I do not use KDE as much

The main site is dsbnet.tk and you can select from either drop down or navigation menu for partitioning or installation etc. smile

Last edited by Dai_trying (2016-10-11 16:44)

Offline

Board footer

Powered by FluxBB